> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

Chat MCP API provides remote MCP for Google Chat features.

A [Model Context Protocol (MCP) server](https://modelcontextprotocol.io/docs/learn/server-concepts) acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

### Server Setup


You must [configure the Chat MCP server](https://developers.google.com/workspace/chat/api/guides/configure-mcp-server) before use. For more information about using Google and Google Cloud remote MCP servers, see [Google Cloud MCP servers overview](https://docs.cloud.google.com/mcp/overview).

### Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Chat MCP API MCP server offers the following MCP toolset endpoints:

- https://chatmcp.googleapis.com/mcp/v1

## MCP Tools

An [MCP tool](https://modelcontextprotocol.io/legacy/concepts/tools) is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world. Toolsets are a group of tools that are useful for a specific task. Using toolsets can help your agent perform better because it decreases the number of tools available to your agent.

### Toolsets

The chatmcp.googleapis.com MCP server has the following toolsets:

| MCP Toolsets |||
| Endpoint | Description | Tools |
|---|---|---|
| /mcp/v1 | Tools for Google Chat. | ` - https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/list_messages - https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/search_conversations - https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/search_messages - https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/send_message - https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/list_memberships - https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/mark_as_read - https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/mark_as_unread - https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/get_notification_settings - https://developers.google.com/workspace/chat/api/reference/mcp/tools_list/update_notification_settings ` |

### Get MCP tool specifications


To get the MCP tool specifications for all tools in an MCP server, use the `tools/list` method. The following example demonstrates how to use `curl` to list all tools and their specifications currently available within the MCP server.

| Curl Request |
|---|
| ```bash curl --location 'https://chatmcp.googleapis.com/mcp/v1' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' ``` |